.sidebar {
    top: 0;
    z-index: 1200;
    height: 100vh;
    display: none;
    position: fixed;
    background: $white;

    &__wrap {
        width: 100%;
        height: 100vh;
        z-index: 1200;
        background: $white;
        position: relative;
        display: flex;
        flex-direction: column;
    }

    &__header {
        padding: size-rel(24px) 0;
    }

    &__footer {
        padding: size-rel(24px) 0 size-rel(24px) size-rel(40px);
    }

    &__main {
        flex-grow: 1;
        display: flex;
        padding-left: size-rel(40px);
        flex-direction: column;
    }

    &__logo {
        display: block;
        width: size-rel(122px);
        margin: 0 auto;
    }

    &__contact {
        margin: 0;
        padding: 0;
        list-style: none;

        li {

            &:not(:last-child) {
                margin-bottom: 8px;
            }
        }

        &--phone {
            color: $primary;
            font-weight: 600;
            white-space: nowrap;
            text-decoration: none;
            font-size: size-rel(16px);
            line-height: size-rel(20px);
            display: inline-block;

            &:hover {
                color: $primary;
                text-decoration: none;
            }
        }

        &--callback {
            color: $accent;
            font-weight: 500;
            font-size: size-rel(12px);
            line-height: size-rel(22px);
            display: inline-block;
            text-decoration: none;

            &:hover {
                color: $accent;
                text-decoration: underline;
            }
        }
    }

    &__primary {
        margin: auto 0;
        padding: 0;
        list-style: none;
        font-weight: 500;
        font-size: size-rel(12px);
        line-height: size-rel(20px);

        li {
            padding: size-rel(4px) 0;

            a {
                color: $primary;
                position: relative;
                display: inline-block;
                text-decoration: none;
                transition: .2s;

                &:before {
                    left: -14px;
                    opacity: 0;
                    content: '';
                    visibility: hidden;
                    top: calc(50% - 0.1875rem);
                    font-size: 0;
                    line-height: 0;
                    width: size-rel(6px);
                    height: size-rel(6px);
                    border-radius: 50%;
                    display: inline-block;
                    position: absolute;
                    transition: .2s;
                    background: $accent;
                }

                &:hover {
                    color: $secondary;
                    text-decoration: none;
                    transition: .2s;

                    &:before {
                        opacity: 1;
                        visibility: visible;
                        transition: .2s;
                    }
                }

                &.active {

                    &:before {
                        opacity: 1;
                        visibility: visible;
                        transition: .2s;
                    }

                    &:hover {
                        color: $primary;
                    }
                }
            }
        }
    }

    &__second {
        top: 0;
        bottom: 0;
        left: 100%;
        opacity: 0;
        z-index: 10;
        visibility: hidden;
        position: absolute;
        background: $accent;
        display: flex;
        flex-direction: column;
        transition: .5s;

        &--open {
            opacity: 1;
            margin-left: 0;
            visibility: visible;
            transition: .5s;
        }
    }

    &__subnav {
        display: none;
        margin: auto 0;
        padding: 0;
        list-style: none;
        font-weight: 500;
        font-size: size-rel(12px);
        line-height: size-rel(20px);

        &.active {
            display: block;
        }

        li {
            padding: size-rel(4px) 0;

            a {
                color: $white;
                position: relative;
                display: inline-block;
                text-decoration: none;
                transition: .2s;
                opacity: 1;

                &:hover {
                    color: $white;
                    text-decoration: none;
                    transition: .2s;
                    opacity: 0.5;
                }

                &.active {

                    &:hover {
                        opacity: 1;
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {
        display: block;
        width: size-rel(200px);

        &:before {
            top: 0;
            bottom: 0;
            right: 100%;
            content: '';
            width: 3000px;
            display: block;
            position: absolute;
            background: $white;
        }

        &__second {
            width: size-rel(200px);
            padding-left: size-rel(40px);
            margin-left: size-rel(-210px);

            &--open {
                margin-left: 0;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        width: size-rel(270px);

        &__logo {

        }

        &__header {
            padding: size-rel(32px) 0;
        }

        &__main {
            padding-left: size-rel(60px);
        }

        &__footer {
            padding: size-rel(32px) 0 size-rel(32px) size-rel(60px);
        }

        &__primary {
            font-size: size-rel(14px);
            line-height: size-rel(24px);

            li {
                padding: size-rel(8px) 0;
            }
        }

        &__second {
            width: size-rel(270px);
            padding-left: size-rel(56px);
            margin-left: size-rel(-280px);

            &--open {
                margin-left: 0;
            }
        }

        &__subnav {
            font-size: size-rel(14px);
            line-height: size-rel(24px);

            li {
                padding: size-rel(8px) 0;
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        width: size-rel(365px);

        &__header {
            padding: size-rel(44px) 0;
        }

        &__footer {
            padding: size-rel(44px) 0 size-rel(44px) size-rel(96px);
        }

        &__logo {
            width: 176px;
        }

        &__main {
            padding-left: size-rel(96px);
        }

        &__primary {
            font-size: size-rel(16px);
            line-height: size-rel(32px);

            li {
                padding: size-rel(10px) 0;
            }
        }

        &__contact {

            li {

                &:not(:last-child) {
                    margin-bottom: 0;
                }
            }

            &--phone {
                font-size: size-rel(20px);
                line-height: size-rel(32px);
            }

            &--callback {
                font-size: size-rel(14px);
                line-height: size-rel(24px);
            }
        }

        &__second {
            width: size-rel(365px);
            padding-left: size-rel(96px);
            margin-left: size-rel(-370px);

            &--open {
                margin-left: 0;
            }
        }

        &__subnav {
            font-size: size-rel(16px);
            line-height: size-rel(32px);

            li {
                padding: size-rel(10px) 0;
            }
        }
    }
}

